slideshow.config:
  path: /admin/config/slideshow
  title: Configure slides
  defaults:
    _controller: '\Drupal\system\Controller\SystemController::systemAdminMenuBlockPage'
  requirements:
    _permission: 'access content'

slideshow.current_content:
  path: /admin/content/current
  defaults:
    _title: 'Current slides'
    _controller: '\Drupal\slideshow\Controller\ContentController::currentContent'
  requirements:
    _permission: 'access content overview'

slideshow.expired_content:
  path: /admin/content/expired
  defaults:
    _title: 'Expired slides'
    _controller: '\Drupal\slideshow\Controller\ContentController::expiredContent'
  requirements:
    _permission: 'access content overview'

slideshow.preview_slide:
  path: '/slideshow/slide/{slide_id}/preview/{scheduling_status}'
  defaults:
    _controller: '\Drupal\slideshow\Controller\SlideViewController::previewSlide'
    _title: 'Preview slide'
  requirements:
    _permission: 'access content'

slideshow.view_screen:
  path: '/slideshow/{screen_id}/view'
  defaults:
    _controller: '\Drupal\slideshow\Controller\ScreenController::viewScreen'
    _title: 'View screen'
  requirements:
    _permission: 'access content'

slideshow.preview_screen:
  path: '/admin/slideshow/{screen_id}/preview/{scheduling_status}'
  defaults:
    _controller: '\Drupal\slideshow\Controller\ScreenController::previewScreen'
    _title: 'Preview screen'
  requirements:
    _permission: 'access content'

slideshow.preview_screens:
  path: '/admin/slideshow/preview_screens'
  defaults:
    _form: '\Drupal\slideshow\Form\ManageScreens'
    _title: 'Preview screens'
    _show_management_links: false
  requirements:
    _permission: 'access content'
    # Slight hack, to hide this link from the slideshow.config menu link collection
    # that we intend to be used as the home page.
    _user_is_logged_in: 'TRUE'

slideshow.view_screen_position:
  path: '/slideshow/{screen_id}/view_position/{current_position}'
  defaults:
    _controller: '\Drupal\slideshow\Controller\SlideViewController::viewScreenPosition'
    _title: 'View slide'
  requirements:
    _permission: 'access content'

slideshow.preview_screen_position:
  path: '/slideshow/{screen_id}/preview_position/{current_position}/{scheduling_status}'
  defaults:
    _controller: '\Drupal\slideshow\Controller\SlideViewController::previewScreenPosition'
    _title: 'View slide'
  requirements:
    _permission: 'access content'

slideshow.preview_screen_position_json:
  path: '/slideshow/{screen_id}/preview_position_json/{current_position}/{scheduling_status}'
  defaults:
    _controller: '\Drupal\slideshow\Controller\ScreenController::previewScreenPositionJson'
    _title: 'View slide'
  requirements:
    _permission: 'access content'

slideshow.manage_screens:
  path: '/admin/slideshow/screens'
  defaults:
    _form: '\Drupal\slideshow\Form\ManageScreens'
    _title: 'Manage screens'
    _show_management_links: true
  requirements:
    _permission: 'manage slideshow screens'

slideshow.add_screen:
  path: '/admin/slideshow/screen/add'
  defaults:
    _form: '\Drupal\slideshow\Form\ManageScreen'
    _title: 'Add Slideshow screen'
  requirements:
    _permission: 'manage slideshow screens'

slideshow.edit_screen:
  path: '/admin/slideshow/screen/edit/{screen_id}'
  defaults:
    _form: '\Drupal\slideshow\Form\ManageScreen'
    _title: 'Edit Slideshow screen'
  requirements:
    _permission: 'manage slideshow screens'

slideshow.delete_screen:
  path: '/admin/slideshow/screen/delete/{screen_id}'
  defaults:
    _form: '\Drupal\slideshow\Form\DeleteScreen'
    _title: 'Delete Slideshow screen'
  requirements:
    _permission: 'manage slideshow screens'
